<?php

//####################################################################
// Active PHP Bookmarks - lbstone.com/apb/
//
// Filename: index.php
// Authors:  L. Brandon Stone (lbstone.com)
//           Nathanial P. Hendler (retards.org)
//
// 2001-09-05 03:35     Created
//
//####################################################################

if (isset($_GET['redirect_id'])) {
    // This is here for legacy problems with old bookmark system redirects.
    header ("Location: ".$APB_SETTINGS['apb_url']."redirect.php?id=".$_GET['redirect_id']);
    exit;
}

include_once('apb.php');

$APB_SETTINGS['allow_edit_mode'] = 1;
$APB_SETTINGS['allow_search_box'] = 1;

$number_of_bookmarks = get_number_of_bookmarks();

if ($number_of_bookmarks == 0)
{
    // If edit mode is on, let's turn it off. (This can happen if a person deletes
    // the last bookmark. [LBS 20020211]
    $edit_mode = 0;
}

apb_head();

if (get_number_of_users() == 0) {
    include('account_setup.php');
}
elseif ($number_of_bookmarks == 0) {

    // No need for edit mode when there's nothing to edit. [LBS 20020211]
    $APB_SETTINGS['allow_edit_mode'] = 0;



    ?>

    <br>
      ><b>This message will disappear once you've added your first bookmark.</b>

      <p>There are no bookmarks in APB right now.  You can
      <a href='quickadd.php'>create a button</a> in your browser that will aid
      in adding bookmarks to APB.  We highly recommend that you do this.
      If you don't do this now, you can always do it later in the
      '<a href='setup.php'>Setup</a>' section.</p>

      <?php if (!$APB_SETTINGS['auth_user_id']) { echo "<p><div class='warning'>By the way, you can't really do anything until you're logged in.</div>"; } ?>

    <?php

    $APB_SETTINGS['allow_search_box'] = 0;
} else {

?>

<div class="leftcolumn">
    <?php directory_view(); ?>
</div>
<div class="rightcolumn">
    <?php top_groups(5,5,14); ?>
</div>

<?php

}

apb_foot();
?>
